Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 708214 - sys-devel/clang-9.0.1: doubting run-clang-tidy.py call at the end of ebuild
Summary: sys-devel/clang-9.0.1: doubting run-clang-tidy.py call at the end of ebuild
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: LLVM support project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-04 13:03 UTC by CaptainBlood
Modified: 2020-02-04 14:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description CaptainBlood 2020-02-04 13:03:25 UTC
ebuild final steps reports whether is installed or not
 * You can find additional utility scripts in:
 *   /usr/lib/llvm/9/share/clang
 * Some of them are vim integration scripts (with instructions inside).
 * The run-clang-tidy.py script requires the following additional package:
 *   dev-python/pyyaml
-------------------------------------------------------------------------
eix sys-devel/clang
     Installed versions:  9.0.1(9)^t(14:46:58 04/02/2020)(-debug -default-compiler-rt -default-libcxx -doc -static-analyzer -test -xml ABI_MIPS="-n32 -n64 -o32" ABI_RISCV="-lp64 -lp64d" ABI_S390="-32 -64" ABI_X86="64 -32 -x32" KERNEL="-FreeBSD" LLVM_TARGETS="X86 -AArch64 -AMDGPU -ARM -BPF -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_7" PYTHON_TARGETS="python3_6 -python2_7 -python3_7")

eix dev-python/pyyaml
     Installed versions:  5.1(13:20:19 04/02/2020)(-examples -libyaml PYTHON_TARGETS="python3_6 -pypy3 -python2_7 -python3_7")

Please note dev-python/epyyaml has been installed prior to clang.

Seems very incertain whether run-clang-tidy.py is called or not.

Post ebuild manual launch doesn't help:
eselect python list
Available Python interpreters, in order of preference:
  [1]   python3.6
  [2]   python2.7
  [3]   python3.7 (fallback)
amd64 ~ # python /usr/lib/llvm/9/share/clang/run-clang-tidy.py
Error: could not find compilation database.


Reproducible: Always